commoble.bagofyurting.util

## Class RotationUtil

- java.lang.Object
- - commoble.bagofyurting.util.RotationUtil

    public class RotationUtil
    extends java.lang.Object

### Field Summary

Fields
`static net.minecraft.util.Direction` `BASE_DIRECTION`

### Constructor Summary

Constructors
Constructor and Description
`RotationUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static net.minecraft.util.Rotation` `getHorizontalDifferenceRotation(net.minecraft.util.Direction from, net.minecraft.util.Direction to)`
`static net.minecraft.util.Rotation` `getTransformRotation(net.minecraft.util.Direction orientation)`
`static net.minecraft.util.Rotation` `getUntransformRotation(net.minecraft.util.Direction orientation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BASE_DIRECTION

    public static final net.minecraft.util.Direction BASE_DIRECTION

### Constructor Detail

#### RotationUtil

    public RotationUtil()

### Method Detail

#### getTransformRotation

    public static net.minecraft.util.Rotation getTransformRotation(net.minecraft.util.Direction orientation)

#### getUntransformRotation

    public static net.minecraft.util.Rotation getUntransformRotation(net.minecraft.util.Direction orientation)

#### getHorizontalDifferenceRotation

    public static net.minecraft.util.Rotation getHorizontalDifferenceRotation(net.minecraft.util.Direction from,
                                                                              net.minecraft.util.Direction to)